import 'package:json_annotation/json_annotation.dart';

part 'endpoint.g.dart';


@JsonSerializable()
class PaymentEndpointDTO {
  final String type;
  final Map<String, dynamic> data;
  final Map<String, String>? metadata;

  const PaymentEndpointDTO({
    required this.type,
    required this.data,
    this.metadata,
  });

  factory PaymentEndpointDTO.fromJson(Map<String, dynamic> json) => _$PaymentEndpointDTOFromJson(json);
  Map<String, dynamic> toJson() => _$PaymentEndpointDTOToJson(this);
}
